## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname astropy-healpix
%global modname astropy_healpix

Name:           python-%{srcname}
Version:        1.0.3
Release:        %autorelease
Summary:        HEALPix for Astropy

License:        BSD-3-Clause
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        %{pypi_source astropy_healpix}
# https://github.com/astropy/astropy-healpix/issues/183
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1026012
# https://salsa.debian.org/debian-astro-team/astropy-healpix/-/blob/master/debian/patches/Temporarily-disable-tests-that-fail-due-to-limited-FP-pre.patch
Patch0:         astropy_healpix-0.7-disable-FP-limited-test.patch

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch: %{ix86}

BuildRequires:  gcc
BuildRequires:  python3-devel

%description
This is a BSD-licensed Python package for HEALPix, which is based on the C
HEALPix code written by Dustin Lang originally in astrometry.net, and was
added here with a Cython wrapper and expanded with a Python interface.


%package -n python3-%{srcname}
Summary: %{summary}

%description -n python3-%{srcname}
%{description}

%prep
%autosetup -n %{modname}-%{version} -p1

# Remove egg files from source
rm -r %{modname}.egg-info

# Drop version constraint from numpy. Allow building with NumPy 1.x.
# Current stable branches still require that.
sed -r -i 's/(numpy).*"/\1"/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{modname}

%check
export PYTEST_ADDOPTS='-p no:cacheprovider'
pushd %{buildroot}/%{python3_sitearch}
%pytest \
%ifarch aarch64
--deselect "astropy_healpix/tests/test_healpy.py::test_ang2pix" \
--deselect "astropy_healpix/tests/test_healpy.py::test_ring2nest" \
--deselect "astropy_healpix/tests/test_healpy.py::test_interp_weights" \
--deselect "astropy_healpix/tests/test_healpy.py::test_ang2vec" \
%endif
%ifarch riscv64
--deselect "astropy_healpix/tests/test_healpy.py::test_pix2ang" \
--deselect "astropy_healpix/tests/test_healpy.py::test_pix2vec" \
--deselect "astropy_healpix/tests/test_healpy.py::test_ang2vec" \
%endif
%ifarch s390x
--deselect "astropy_healpix/tests/test_healpy.py::test_ang2vec" \
%endif
%{modname}

# Hypothesis tests creates some files in sitearch... we remove them now
rm -rf .hypothesis
popd

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.md
%doc README.rst

%changelog
## START: Generated by rpmautospec
* Sat Jan 04 2025 Sandro <devel@penguinpee.nl> - 1.0.3-1
- Update to 1.0.3 (RHBZ#2273727)
- Add support for NumPy 2.x

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 16 2024 Mattia Verga <mattia.verga@proton.me> - 1.0.2-10
- Add exclude flaky test on aarch64

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 1.0.2-9
- Rebuilt for Python 3.13

* Wed Feb 21 2024 Songsong Zhang <u2fsdgvkx1@gmail.com> - 1.0.2-8
- Add riscv64 support

* Tue Feb 20 2024 Sergio Pascual <sergiopr@fedoraproject.org> - 1.0.2-5
- Rebuilt to fix FTBFS

* Mon Feb 05 2024 Sergio Pascual <sergiopr@fedoraproject.org> - 1.0.2-4
- Rebuilt to fix FTBFS

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 02 2024 Sergio Pascual <sergiopr@fedoraproject.org> - 1.0.2-1
- Update to 1.0.2

* Sun Sep 17 2023 Mattia Verga <mattia.verga@proton.me> - 1.0.0-1
- Update to 1.0.0 (fedora#2233129)
- Migrate license to SPDX

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 12 2023 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.7-4
- Disable tests related to FP limitation (upstream github bug 183)

* Tue Jun 27 2023 Python Maint <python-maint@redhat.com> - 0.7-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Sep 16 2022 Christian Dersch <lupinix@mailbox.org> - 0.7-1
- Update to 0.7

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 0.6-5
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.6-2
- Rebuilt for Python 3.10

* Sat May 01 2021 Mattia Verga <mattia.verga@protonmail.com> - 0.6-1
- Upgrade to 0.6
- Fixes rhbz#1937438

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 17 2020 Christian Dersch <lupinix@fedoraproject.org> - 0.5-1
- new version

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.4-7
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Oct 27 2019 Christian Dersch <lupinix@fedoraproject.org> - 0.4-5
- Disable tests on s90x until numpy is fixed

* Fri Sep 13 2019 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.4-4
- Patch for astropy.tests.pytest_plugins error (bug 1743897)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.4-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Mar 29 2019 Christian Dersch <lupinix@fedoraproject.org> - 0.4-1
- new version

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 30 2018 Christian Dersch <lupinix.fedora@gmail.com> - 0.3.1-1
- new version

* Tue Oct 02 2018 Christian Dersch <lupinix@fedoraproject.org> - 0.2.1-1
- new version

* Sun Jul 15 2018 Christian Dersch <lupinix@fedoraproject.org> - 0.2-6
- BuildRequires: gcc

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 30 2018 Christian Dersch <lupinix@mailbox.org> - 0.2-4
- Use PyPI tar and delete the Cythonized code

* Sat Jun 30 2018 Christian Dersch <lupinix@mailbox.org> - 0.2-3
- Use GitHub tar instead of PyPI one (as GitHub one is not Cythonized)

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.2-2
- Rebuilt for Python 3.7

* Sat Mar 17 2018 Christian Dersch <lupinix@mailbox.org> - 0.2-1
- initial package

## END: Generated by rpmautospec
